{% load event_list %}
{% if calendar %}
  <div class="calendar grid grid-cols-4">
    <div class="col-span-4 xl:col-span-1">
      <aside class="banner bg-orange-300 text-white h-full">
        <i class="ico--calendar banner__icon"></i>
        <div class="banner__body"><h1 class="head-alt-md banner__cta">Kalendář</h1>
          {% if not fullscreen and page.calendar_page %}
            <a href="{{ page.calendar_page.url }}">
              <button class="btn btn--white btn--fullwidth sm:btn--autowidth mt-8">
                <div class="btn__body">Zobrazit další</div>
              </button>
            </a>
          {% endif %}
        </div>
      </aside>
    </div>
    <div class="col-span-4 xl:col-span-3">
      {% with full_list=fullscreen %}
      {% with events=calendar|event_list:full_list %}
        {% for event in events %}
          <div class="grid grid-cols-12 items-center calendar-table-row">
            <div class="col-span-2 text-orange-300 head-alt-md calendar-table-row__col">
              <span>{{ event.start|date:"j." }}</span>
            </div>
            <div class="col-span-8 grid grid-cols-3 col-gap-4 calendar-table-row__col calendar-table-row__col--norborder">
              <div class="col-span-3 md:col-span-1">
                <strong class="block">
                  <time datetime="{{ event.start|date:"Y-m-d H:m"|capfirst }}">
                    {{ event.start|date:"l j. E"|capfirst }}
                  </time>
                </strong>
                <p class="font-light text-sm mt-1" aria-hidden="true">{{ event.start|date:"G:i" }}</p>
                <p class="font-light text-sm mt-1">{{ event.duration }}</p>
              </div>
              <div class="col-span-3 md:col-span-2 mt-4 md:mt-0 overflow-hidden">
                <span class="font-bold block">
                  {{ event.summary }}
                </span>
                {% if event.description %}
                  <p class="font-light text-sm mt-1 overflow-auto">
                    {{ event.description | safe }}
                  </p>
                {% endif %}
              </div>
            </div>
            <div class="col-span-2 text-center font-light calendar-table-row__col">
              {% if event.location and 'jitsi.pirati' in event.location %}
                <a href="{{ event.location }}" class="icon-link">
                  <i aria-hidden="true" class="ico--jitsi text-violet-300 mr-1"></i>
                  <span>Jitsi URL</span>
                </a>
              {% elif event.url %}
                <a href="{{ event.url }}" class="icon-link">
                  <i aria-hidden="true" class="ico--link text-violet-300 mr-1"></i>
                  <span>Odkaz</span>
                </a>
              {% elif event.location %}
                <a href="https://maps.google.com/maps?q={{ event.location }}" class="icon-link">
                  <i aria-hidden="true" class="ico--location text-violet-300 mr-1"></i>
                  <span>Mapa</span>
                </a>
              {% endif %}
            </div>
          </div>
        {% empty %}
          <div class="content-block">
            <p>Žádné události.</p>
          </div>
        {% endfor %}
      {% endwith %}
      {% endwith %}
    </div>
  </div>
{% else %}
  <div class="content-block">
    <p>Žádné události.</p>
  </div>
{% endif %}
